/*
 * arch/ppc/platforms/4xx/xparameters/xparameters.h
 *
 * This file includes the correct xparameters.h for the CONFIG'ed board plus
 * fixups to translate board specific XPAR values to a common set of names
 *
 * Author: MontaVista Software, Inc.
 *         source@mvista.com
 *
 * 2004 (c) MontaVista Software, Inc.  This file is licensed under the terms
 * of the GNU General Public License version 2.  This program is licensed
 * "as is" without any warranty of any kind, whether express or implied.
 */

#include <linux/autoconf.h>

#if defined(CONFIG_XILINX_ML300)
  #include "xparameters_ml300.h"
#elif defined(CONFIG_XILINX_ML403)
  #include "xparameters_ml403.h"
#elif defined(CONFIG_SUZAKU_SZ310)
#if   !(defined(CONFIG_SUZAKU_STARTERKIT) || defined(CONFIG_SUZAKU_SIL)) && \
      !defined(CONFIG_SUZAKU_SID)
  #include "xparameters_sz310.h"
#elif  (defined(CONFIG_SUZAKU_STARTERKIT) || defined(CONFIG_SUZAKU_SIL)) && \
      !defined(CONFIG_SUZAKU_SID)
  #include "xparameters_sz310-sil.h"
#elif !(defined(CONFIG_SUZAKU_STARTERKIT) || defined(CONFIG_SUZAKU_SIL)) && \
       defined(CONFIG_SUZAKU_SID)
  #include "xparameters_sz310-sid.h"
#else
  #error No xparameters_*.h file included
#endif
#elif defined(CONFIG_SUZAKU_SZ410)
#if   !(defined(CONFIG_SUZAKU_STARTERKIT) || defined(CONFIG_SUZAKU_SIL)) && \
      !defined(CONFIG_SUZAKU_SID)
  #include "xparameters_sz410.h"
#elif  (defined(CONFIG_SUZAKU_STARTERKIT) || defined(CONFIG_SUZAKU_SIL)) && \
      !defined(CONFIG_SUZAKU_SID)
  #include "xparameters_sz410-sil.h"
#elif !(defined(CONFIG_SUZAKU_STARTERKIT) || defined(CONFIG_SUZAKU_SIL)) && \
       defined(CONFIG_SUZAKU_SID)
  #include "xparameters_sz410-sid.h"
#else
  #error No xparameters_*.h file included
#endif

#define XPAR_TEMAC_0_IP2INTC_IRPT_MASK XPAR_PLB_TEMAC_0_IP2INTC_IRPT_MASK
#define XPAR_SYSTEM_INTC_TEMAC_0_IP2INTC_IRPT_INTR XPAR_SYSTEM_INTC_PLB_TEMAC_0_IP2INTC_IRPT_INTR

#define XPAR_TEMAC_0_DEVICE_ID XPAR_PLB_TEMAC_0_DEVICE_ID
#define XPAR_TEMAC_0_BASEADDR XPAR_PLB_TEMAC_0_BASEADDR
#define XPAR_TEMAC_0_HIGHADDR XPAR_PLB_TEMAC_0_HIGHADDR
#define XPAR_TEMAC_0_RXFIFO_DEPTH XPAR_PLB_TEMAC_0_RXFIFO_DEPTH
#define XPAR_TEMAC_0_TXFIFO_DEPTH XPAR_PLB_TEMAC_0_TXFIFO_DEPTH
#define XPAR_TEMAC_0_MAC_FIFO_DEPTH XPAR_PLB_TEMAC_0_MAC_FIFO_DEPTH
#define XPAR_TEMAC_0_DMA_TYPE XPAR_PLB_TEMAC_0_DMA_TYPE
#define XPAR_TEMAC_0_TX_DRE_TYPE XPAR_PLB_TEMAC_0_TX_DRE_TYPE
#define XPAR_TEMAC_0_RX_DRE_TYPE XPAR_PLB_TEMAC_0_RX_DRE_TYPE
#define XPAR_TEMAC_0_INCLUDE_TX_CSUM XPAR_PLB_TEMAC_0_INCLUDE_TX_CSUM
#define XPAR_TEMAC_0_INCLUDE_RX_CSUM XPAR_PLB_TEMAC_0_INCLUDE_RX_CSUM
#else
  /* Add other board xparameter includes here before the #else */
  #error No xparameters_*.h file included
#endif

#ifdef CONFIG_SUZAKU_V
#define XPAR_INTC_0_BASEADDR XPAR_INTC_SINGLE_BASEADDR
#define XPAR_INTC_0_KIND_OF_INTR XPAR_SYSTEM_INTC_KIND_OF_INTR
#endif

#ifndef SERIAL_PORT_DFNS
  /* zImage serial port definitions */
  #define RS_TABLE_SIZE 1
  #define SERIAL_PORT_DFNS {						\
	.baud_base	 = XPAR_UARTNS550_0_CLOCK_FREQ_HZ/16,		\
	.irq		 = XPAR_INTC_0_UARTNS550_0_VEC_ID,		\
	.flags		 = ASYNC_BOOT_AUTOCONF,				\
	.iomem_base	 = (u8 *)XPAR_UARTNS550_0_BASEADDR + 3,		\
	.iomem_reg_shift = 2,						\
	.io_type	 = SERIAL_IO_MEM,				\
  },
#endif
